Sync with portage [Thu Jan 19 07:07:31 MSK 2012].

mhiretskiy
root 12 years ago
parent 0f8440c8f7
commit 73ab14463b

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/system-config-printer-common/system-config-printer-common-1.3.7.ebuild,v 1.6 2012/01/14 16:00:55 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/system-config-printer-common/system-config-printer-common-1.3.7.ebuild,v 1.7 2012/01/18 19:55:35 maekke Exp $
EAPI="3"
@ -15,7 +15,7 @@ HOMEPAGE="http://cyberelk.net/tim/software/system-config-printer/"
SRC_URI="http://cyberelk.net/tim/data/system-config-printer/1.3/${MY_P}.tar.xz"
LICENSE="GPL-2"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc x86"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc x86"
SLOT="0"
IUSE="doc policykit"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/system-config-printer-gnome/system-config-printer-gnome-1.3.7.ebuild,v 1.4 2012/01/14 16:02:08 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/system-config-printer-gnome/system-config-printer-gnome-1.3.7.ebuild,v 1.5 2012/01/18 19:56:45 maekke Exp $
EAPI="3"
@ -16,7 +16,7 @@ HOMEPAGE="http://cyberelk.net/tim/software/system-config-printer/"
SRC_URI="http://cyberelk.net/tim/data/system-config-printer/1.3/${MY_P}.tar.xz"
LICENSE="GPL-2"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc x86"
KEYWORDS="~alpha amd64 arm ~ia64 ~ppc ~ppc64 ~sh ~sparc x86"
SLOT="0"
IUSE="gnome-keyring"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/libarchive/libarchive-2.8.5.ebuild,v 1.6 2012/01/17 05:16:21 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/libarchive/libarchive-2.8.5.ebuild,v 1.7 2012/01/18 21:13:55 maekke Exp $
EAPI="2"
@ -13,7 +13,7 @@ SRC_URI="http://${PN}.googlecode.com/files/${P}.tar.gz
LICENSE="BSD"
SLOT="0"
KEYWORDS="alpha amd64 ~arm hppa ~ia64 ~mips ppc ppc64 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
KEYWORDS="alpha amd64 arm hppa ~ia64 ~mips ppc ppc64 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE="static static-libs acl xattr kernel_linux +bzip2 +lzma +zlib expat"
COMPRESS_LIBS_DEPEND="lzma? ( app-arch/xz-utils )

@ -1 +1,2 @@
DIST unrarsrc-4.0.7.tar.gz 152853 RMD160 0629f8600e9ddb298f59fc05b9569bd40703acaf SHA1 e4c8b0d47278475f3dfb77e8497f5818eca3d4a0 SHA256 eac9ed7493870ca7f67b23e9208aef1db701c381123ac462e97f703777a33071
DIST unrarsrc-4.1.4.tar.gz 157135 RMD160 0bb200c01f665142b7581b1b40ef1047dca13c57 SHA1 ae4b1e2c99e96527c4a97f980daa547499f42a0f SHA256 705d93285fcd3b9c11f68e52d96395d942bf3c20172dcee14f0d78f1fee57361

@ -0,0 +1,50 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/unrar/unrar-4.1.4-r1.ebuild,v 1.2 2012/01/18 22:20:10 ssuominen Exp $
EAPI=4
inherit flag-o-matic multilib toolchain-funcs
MY_PN=${PN}src
DESCRIPTION="Uncompress rar files"
HOMEPAGE="http://www.rarlab.com/rar_add.htm"
SRC_URI="http://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz"
LICENSE="unRAR"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE=""
RDEPEND="!<=app-arch/unrar-gpl-0.0.1_p20080417"
S=${WORKDIR}/unrar
src_prepare() {
sed -i \
-e "/libunrar/s:.so:$(get_libname ${PV%.*.*}):" \
-e "s:-shared:& -Wl,-soname -Wl,libunrar$(get_libname ${PV%.*.*}):" \
makefile.unix || die
}
src_compile() {
#append-lfs-flags #356155 #makefile.unix has DEFINES=-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE in 4.1.4
#todo: LIBS="-L. -lunrar" fails with undefineds
local f=makefile.unix
emake -f ${f} CXX="$(tc-getCXX)" CXXFLAGS="-fPIC ${CXXFLAGS}" lib
ln -s libunrar$(get_libname ${PV%.*.*}) libunrar$(get_libname)
ln -s libunrar$(get_libname ${PV%.*.*}) libunrar$(get_libname ${PV})
rm -f *.o
emake -f ${f} CXX="$(tc-getCXX)" CXXFLAGS="${CXXFLAGS}" STRIP="true"
}
src_install() {
dobin unrar
dodoc readme.txt
dolib.so libunrar*
insinto /usr/include/libunrar${PV%.*.*}
doins dll.hpp
dosym libunrar${PV%.*.*} /usr/include/libunrar
}

@ -0,0 +1,35 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/unrar/unrar-4.1.4.ebuild,v 1.1 2012/01/18 10:10:51 ssuominen Exp $
EAPI=4
inherit flag-o-matic toolchain-funcs
MY_PN=${PN}src
DESCRIPTION="Uncompress rar files"
HOMEPAGE="http://www.rarlab.com/rar_add.htm"
SRC_URI="http://www.rarlab.com/rar/${MY_PN}-${PV}.tar.gz"
LICENSE="unRAR"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
IUSE=""
RDEPEND="!<=app-arch/unrar-gpl-0.0.1_p20080417"
S=${WORKDIR}/unrar
src_compile() {
append-lfs-flags #356155
emake \
-f makefile.unix \
CXXFLAGS="${CXXFLAGS}" \
CXX="$(tc-getCXX)" \
STRIP="true"
}
src_install() {
dobin unrar
dodoc readme.txt
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-cdr/cdemu/cdemu-1.4.0.ebuild,v 1.1 2011/11/23 10:14:26 tetromino Exp $
# $Header: /var/cvsroot/gentoo-x86/app-cdr/cdemu/cdemu-1.4.0.ebuild,v 1.2 2012/01/18 12:08:27 ago Exp $
EAPI="4"
PYTHON_DEPEND="2"
@ -13,7 +13,7 @@ SRC_URI="mirror://sourceforge/cdemu/cdemu-client-${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="+cdemud"
RDEPEND="dev-python/dbus-python

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-cdr/cdemud/cdemud-1.4.0.ebuild,v 1.1 2011/11/23 10:13:58 tetromino Exp $
# $Header: /var/cvsroot/gentoo-x86/app-cdr/cdemud/cdemud-1.4.0.ebuild,v 1.2 2012/01/18 12:08:10 ago Exp $
EAPI="4"
@ -10,7 +10,7 @@ SRC_URI="mirror://sourceforge/cdemu/cdemu-daemon-${PV}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="pulseaudio"
RDEPEND=">=dev-libs/dbus-glib-0.61

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-cdr/gcdemu/gcdemu-1.4.0.ebuild,v 1.1 2011/11/23 10:14:58 tetromino Exp $
# $Header: /var/cvsroot/gentoo-x86/app-cdr/gcdemu/gcdemu-1.4.0.ebuild,v 1.2 2012/01/18 12:08:53 ago Exp $
EAPI="4"
@ -14,7 +14,7 @@ SRC_URI="mirror://sourceforge/cdemu/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="libnotify"
RDEPEND=">=app-cdr/cdemud-1.4.0

@ -1,4 +1,4 @@
DIST virt-manager-0.8.7.tar.gz 1879504 RMD160 e80475270e54018b89e5a1a58c467478c03c71b5 SHA1 fe1565b9836b23cefb37d60b403be5b302e83472 SHA256 1907ec0e5479d6af8b4882fc068b74fa8c04f8d36ab0a503b405a937fe765dd5
DIST virt-manager-0.9.0-bp-1.tar.bz2 707 RMD160 e4614dd36bd1a334080dcb712d731665944ef705 SHA1 dc007460bb721eb385c02de671045820926626b6 SHA256 823ae2aea4515e47db9791e3edda78530223a48ba2fa0bdb33a328e85e64f284
DIST virt-manager-0.9.0-bp-3.tar.bz2 18189 RMD160 8fc427d55d2167ac4ffa0ae273144f7f7e128924 SHA1 db2e90dffd0888b0397a9fb6438edd4519780889 SHA256 96420d356a0ea4af7be88be6613107e1621ca0cc08bdf7407967422a1c9f45c1
DIST virt-manager-0.9.0-bp-4.tar.bz2 18460 RMD160 2705ec182bab62722a6f6d0b4243e1835eaff053 SHA1 12eb90591a44b4f3479b0c910c06ca298be8073d SHA256 91039fb4039499de87b17d67f5083f86ae6c8e6949585bc2336c0490071654a1
DIST virt-manager-0.9.0.tar.gz 1951176 RMD160 f3af53591babe3d95c4017d19a292fd6c1bfee97 SHA1 e937b9aedc7c4ebc84fbfa48c622d1918cf7a335 SHA256 db0de808efa5d6bae0bdc2db796e58ea79f9e1db20d9a5a5977b28b4b85d4321

@ -1,8 +1,8 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/virt-manager/virt-manager-0.9.0-r2.ebuild,v 1.3 2012/01/17 17:55:18 cardoe Exp $
# $Header: /var/cvsroot/gentoo-x86/app-emulation/virt-manager/virt-manager-0.9.0-r3.ebuild,v 1.2 2012/01/18 22:37:29 cardoe Exp $
BACKPORTS=3
BACKPORTS=4
EAPI=2
@ -27,7 +27,7 @@ else
${BACKPORTS:+mirror://gentoo/${P}-bp-${BACKPORTS}.tar.bz2
http://dev.gentoo.org/~cardoe/distfiles/${P}-bp-${BACKPORTS}.tar.bz2}"
KEYWORDS="~amd64 ~x86"
VIRTINSTDEP=">app-emulation/virtinst-0.600.0"
VIRTINSTDEP=">=app-emulation/virtinst-0.600.0-r2"
fi
DESCRIPTION="A graphical tool for administering virtual machines (KVM/Xen)"
@ -83,20 +83,4 @@ src_prepare() {
src_install() {
gnome2_src_install
insinto /usr/share/virt-manager/pixmaps/
doins "${S}"/pixmaps/*.png
doins "${S}"/pixmaps/*.svg
insinto /usr/share/virt-manager/pixmaps/hicolor/16x16/actions/
doins "${S}"/pixmaps/hicolor/16x16/actions/*.png
insinto /usr/share/virt-manager/pixmaps/hicolor/22x22/actions/
doins "${S}"/pixmaps/hicolor/22x22/actions/*.png
insinto /usr/share/virt-manager/pixmaps/hicolor/24x24/actions/
doins "${S}"/pixmaps/hicolor/24x24/actions/*.png
insinto /usr/share/virt-manager/pixmaps/hicolor/32x32/actions/
doins "${S}"/pixmaps/hicolor/32x32/actions/*.png
}

@ -1 +1 @@
DIST virt-viewer-0.2.0.tar.gz 329012 RMD160 0426c11c7430580fff089ccecb5e46d5dc515555 SHA1 65a0928cee2177decb68767f9f5ab8c4cb4f1af0 SHA256 9772a9e2b55f7d4eeae012964c594c4f96129b130ed34004fa42033bc9ad1352
DIST virt-viewer-0.4.2.tar.gz 442244 RMD160 f1094a374b0d808af77ba992fd12ba38c25a0623 SHA1 3b1d253c3c5f9cc89786e601e40a6ac72e52d4ee SHA256 32057e115ee53d9894af05ac4659893dc7e6ff9efba8d74999147b1bfda1439c

@ -1,24 +0,0 @@
diff -Naur virt-viewer-0.2.0.orig/plugin/npshell.c virt-viewer-0.2.0/plugin/npshell.c
--- virt-viewer-0.2.0.orig/plugin/npshell.c 2009-08-03 16:31:59.413536402 +0200
+++ virt-viewer-0.2.0/plugin/npshell.c 2009-08-03 16:28:27.682285745 +0200
@@ -84,7 +84,7 @@
#include <strings.h>
#include <npapi.h>
-#include <npupp.h>
+#include <npfunctions.h>
#include "virt-viewer-plugin.h"
diff -Naur virt-viewer-0.2.0.orig/plugin/npunix.c virt-viewer-0.2.0/plugin/npunix.c
--- virt-viewer-0.2.0.orig/plugin/npunix.c 2009-08-03 16:32:05.906537077 +0200
+++ virt-viewer-0.2.0/plugin/npunix.c 2009-08-03 16:27:53.100384815 +0200
@@ -57,7 +57,7 @@
#include <stdio.h>
#include <npapi.h>
-#include <npupp.h>
+#include <npfunctions.h>
#include <glib.h> /* just for G_GNUC_UNUSED */

@ -1,5 +1,14 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>virtualization</herd>
<herd>virtualization</herd>
<use>
<flag name="gtk3">Link against <pkg>x11-libs/gtk+:3</pkg> instead of
<pkg>x11-libs/gtk+:2</pkg></flag>
<flag name="spice">Support connecting to SPICE-enabled virtual
machines.</flag>
<flag name="vnc">Support connecting to VNC-enabled virtual
machines.</flag>
</use>
</pkgmetadata>

@ -1,29 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/virt-viewer/virt-viewer-0.2.0-r1.ebuild,v 1.2 2011/03/27 10:34:20 nirbheek Exp $
EAPI=2
DESCRIPTION="Graphical console client for connecting to virtual machines"
HOMEPAGE="http://virt-manager.org/"
SRC_URI="http://virt-manager.org/download/sources/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="nsplugin"
RDEPEND=">=x11-libs/gtk+-2.10.0:2
>=gnome-base/libglade-2.6.0:2.0
>=app-emulation/libvirt-0.6.0
>=net-libs/gtk-vnc-0.3.8
>=dev-libs/libxml2-2.6.0:2
nsplugin? ( >=dev-libs/nspr-4.0.0
>=net-libs/xulrunner-1.9.0:1.9 )"
DEPEND="${RDEPEND}"
src_configure() {
econf $(use_enable nsplugin plugin)
}
src_install() {
emake DESTDIR="${D}" install || die
}

@ -1,35 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/virt-viewer/virt-viewer-0.2.0-r2.ebuild,v 1.2 2011/03/27 10:34:20 nirbheek Exp $
EAPI=2
inherit eutils
DESCRIPTION="Graphical console client for connecting to virtual machines"
HOMEPAGE="http://virt-manager.org/"
SRC_URI="http://virt-manager.org/download/sources/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="nsplugin"
RDEPEND=">=x11-libs/gtk+-2.10.0:2
>=gnome-base/libglade-2.6.0:2.0
>=app-emulation/libvirt-0.6.0
>=net-libs/gtk-vnc-0.3.8
>=dev-libs/libxml2-2.6.0:2
nsplugin? ( >=dev-libs/nspr-4.0.0
>=net-libs/xulrunner-1.9.1:1.9 )"
DEPEND="${RDEPEND}"
src_prepare() {
epatch "${FILESDIR}"/${P}-xulrunner-1.9.1.patch
}
src_configure() {
econf $(use_enable nsplugin plugin)
}
src_install() {
emake DESTDIR="${D}" install || die
}

@ -0,0 +1,39 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/virt-viewer/virt-viewer-0.4.2.ebuild,v 1.2 2012/01/18 20:27:11 cardoe Exp $
EAPI=4
inherit eutils gnome2
DESCRIPTION="Graphical console client for connecting to virtual machines"
HOMEPAGE="http://virt-manager.org/"
SRC_URI="http://virt-manager.org/download/sources/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="gtk3 nsplugin sasl spice +vnc"
RDEPEND=">=app-emulation/libvirt-0.6.0
>=dev-libs/libxml2-2.6.0:2
gtk3? ( x11-libs/gtk+:3 )
!gtk3? ( >=x11-libs/gtk+-2.10.0:2
>=gnome-base/libglade-2.6.0:2.0 )
nsplugin? ( >=dev-libs/nspr-4.0.0
>=net-libs/xulrunner-1.9.1:1.9 )
spice? ( >=net-misc/spice-gtk-0.6[sasl?,gtk3?] )
vnc? ( >=net-libs/gtk-vnc-0.4.3 )"
DEPEND="${RDEPEND}"
pkg_pretend() {
if ! use spice && ! use vnc; then
eerror "You must have USE=vnc or USE=spice enabled."
die "You must have USE=vnc or USE=spice enabled."
fi
}
pkg_setup() {
G2CONF="$(use_enable nsplugin plugin) $(use_with spice spice-gtk)"
G2CONF="${G2CONF} $(use_with vnc gtk-vnc)"
use gtk3 && G2CONF="${G2CONF} --with-gtk=3.0"
use gtk3 || G2CONF="${G2CONF} --with-gtk=2.0"
}

@ -1,3 +1,3 @@
DIST virtinst-0.500.6.tar.gz 549365 RMD160 3f2d5865216208326c9ad8b5f6777a6317d189ee SHA1 50a55d34e5f46777e7446254262b30904eb0adc3 SHA256 ed824870f7ec8be1c499065a04c9de04977ef62a2e527db0151fc7a13bf1ce7b
DIST virtinst-0.600.0-bp-1.tar.bz2 12155 RMD160 e86fea313a0cd3fb8bae2b6de359c972eda0b6f3 SHA1 1fbe1b07c9be3e102cbe4c93ec8db44b12607d25 SHA256 e8f40e54cab1e3c22fbaaabd8b32c3235f13f378271b88b52f1fc8d896eba64d
DIST virtinst-0.600.0-bp-2.tar.bz2 12398 RMD160 38bcfc6574b28c43a3c0ecf328728cd82330db4f SHA1 f06d789b71d2682dbd648bb258a54c5cdad89a4e SHA256 ff682503c2258de9c2e5b285bca6e2cb42acded7fa2bc7da76a12793fcbf89af
DIST virtinst-0.600.0.tar.gz 576764 RMD160 6efb6ce5ad6d6c4d5ffbc95e1695ac125d1ee249 SHA1 c7b14287927969e20ce60e3726bfe7e3dc57a4fe SHA256 92dc8f14d31ffb0e79479fab982203027c45c83d25e73af7627f589f92ca797a

@ -1,8 +1,8 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtinst/virtinst-0.600.0-r1.ebuild,v 1.1 2012/01/17 17:51:26 cardoe Exp $
# $Header: /var/cvsroot/gentoo-x86/app-emulation/virtinst/virtinst-0.600.0-r2.ebuild,v 1.1 2012/01/18 17:32:51 cardoe Exp $
BACKPORTS=1
BACKPORTS=2
EAPI=3

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-i18n/enca/enca-1.13-r2.ebuild,v 1.2 2012/01/17 13:02:34 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/app-i18n/enca/enca-1.13-r2.ebuild,v 1.3 2012/01/18 16:32:13 jer Exp $
EAPI="4"
@ -12,7 +12,7 @@ SRC_URI="http://dl.cihar.com/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="doc +recode"
DEPEND="recode? ( >=app-text/recode-3.6_p15 )"

@ -81,7 +81,7 @@ DIST libreoffice-artwork-3.4.5.2.tar.bz2 13537659 RMD160 8e5417f4c8f05bca842cddb
DIST libreoffice-base-3.3.4.1.tar.bz2 2083238 RMD160 a0ea708e67d47d010c7e390b373c78d93eda6e9f SHA1 d5b0d91a6a9fe17930b587c5e42309f52d09095f SHA256 029c2cde055ff2b8e3432f292c565dba6fd1e023cdd39fc9478635cedf006d1e
DIST libreoffice-base-3.4.3.2.tar.bz2 2068714 RMD160 c689762bd2a5a6bc46efe701c85b798bd01ef248 SHA1 88f1531b11ac49f8bd9c0e70e08b38a7b0aae411 SHA256 93fc103b376a2575efe8b35d64861236e63025b9d3415cee35d845ada7589dfa
DIST libreoffice-base-3.4.5.2.tar.bz2 2070005 RMD160 432cb53d1becd8e3ebf371f3224afa57899fe71e SHA1 d07f93434055981a9c320912b24966c322b9d536 SHA256 9f9b7ae788a8249ccbcaca0ba2155cd91f76367cbaf3e1ad063f8e61b3d7b938
DIST libreoffice-binfilter-3.4.99.3.tar.xz 5972348 RMD160 8c40cd35fc92aac40f73b2acb258a301ef99cfbe SHA1 3e6c141ddd60aea65408aabf568fec755d4aa495 SHA256 d77b7854649735a0c74f2a9f7aca67714af5b77679cba8e57e58c4cf1ad49688
DIST libreoffice-binfilter-3.5.0.1.tar.xz 5974864 RMD160 729c8f62f832c6769ea43972e0b1fa97a5c59798 SHA1 eb479ebd8c58a931078cc9a1e3606f96e4e992b8 SHA256 be8ebec851ba7fc02e3115a51ccae83174b92a8e61be2e983ba7f45ec4fedc90
DIST libreoffice-bootstrap-3.3.4.1.tar.bz2 2753537 RMD160 6348b4b121159aa74a1b4e9c03f34cc5533a3d72 SHA1 4c7b5b105c29eb5e9dafc8ee59b4f306187f664d SHA256 a83cc7be2211c1dd03f49e1e9c54895852e732e291022c8022470cd057b9b2c6
DIST libreoffice-bootstrap-3.4.3.2.tar.bz2 2711992 RMD160 5ded24c90e34306a0ae0d5d97578638098879351 SHA1 527db77912dd3c5f41916ad0db8405325f37c621 SHA256 18f253da00974958059dc91ddb17d5ce5c6c41ec48b98f43451609fb2b1faa45
DIST libreoffice-bootstrap-3.4.5.2.tar.bz2 2715464 RMD160 d2b2fadac07507878a6bbed9801384dc25f4e874 SHA1 cc5c1ceb6ae9525a8ee89c0b08da958a420e85c0 SHA256 a9a3f223046d57002f0b76b0c04c07398a77bbc85acb445faea6e6d6a637bf17
@ -93,7 +93,7 @@ DIST libreoffice-calc-3.4.5.2.tar.bz2 9519567 RMD160 25114e5c9d2206879c4a89360a1
DIST libreoffice-components-3.3.4.1.tar.bz2 5124325 RMD160 bbd98b77d4b9db5d948526d65f54e3479a9b33a3 SHA1 9ca1d2ad9211cf7df0834f764af28c8e88060f0f SHA256 bb9651370ee239a6fe0f4b52d5b6d3b84aafad64dcf1ccfcb655efb782599fb6
DIST libreoffice-components-3.4.3.2.tar.bz2 5094591 RMD160 ab3a2cd16340931a124e3d0e783c938a5357f5f9 SHA1 492a0b25128a34c4d75df5ef7b3b5e997c24cf31 SHA256 572fdbff98c1083e5066b15cbc34453cedf7f6ac5a740c07639ef2e65fd61aa7
DIST libreoffice-components-3.4.5.2.tar.bz2 5089571 RMD160 c3b01fdb7cf81ae01dc41dc44333e68822423682 SHA1 888f3c77f7c3fd62fcfc0d8eca182de55dfd56f5 SHA256 a2c0f819ca06c6fd82645920cdfb5c614dadcbd934a11864e706806e00f506eb
DIST libreoffice-core-3.4.99.3.tar.xz 102434288 RMD160 55d36fb81cdf8dfbe647c866acfc2d3833c86b32 SHA1 ff712bc3efb63e8d523c1c908dded2f1e3baf547 SHA256 2f12c7714f091dac21831c6d0f40f666710d9b3b08c170e8623c511035888dea
DIST libreoffice-core-3.5.0.1.tar.xz 102813096 RMD160 93c71815c0995bb8667c329f64634d84f08429d0 SHA1 175a8a8974a7fbe78332e635ae7dde4d17e60f51 SHA256 5f71d273e087e2fec18094fe2dedf43386a64a3bfa5c28f37646a6d76cba481d
DIST libreoffice-extensions-3.3.4.1.tar.bz2 4202033 RMD160 1db3d06fcfd6354345e394ddf78f2cae6e0e5573 SHA1 8fbac20fa87e348ad07dc245f48f09ee539d7d80 SHA256 65c4540bd958a5f4dbf5875659d83e40a3d5542aa0cfde7f0f03e5000d16f241
DIST libreoffice-extensions-3.4.3.2.tar.bz2 4216448 RMD160 07932f5fa49cf32a0efda440cdb074c6ade97f35 SHA1 ca3257362b8b861e7358afe11bc0831739c83f41 SHA256 91ab0d29057c09026ddb380d530ef0656e48b7c558eb2be7a0c4c4f1b793029d
DIST libreoffice-extensions-3.4.5.2.tar.bz2 4219897 RMD160 c641e4530360ac6eb02c570469a7c675f620ba0c SHA1 cf6fe1fa7fcd0f4f7f79fe6b318c90ef510b6103 SHA256 ff6c6bbc78e21277a10fdf3e3feddb425368621f7aa2fd288738d19d609ab0a3

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.4.99.3.ebuild,v 1.1 2012/01/11 11:16:10 scarabeus Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/libreoffice/libreoffice-3.5.0.1.ebuild,v 1.1 2012/01/18 12:49:59 scarabeus Exp $
EAPI=4

@ -1,3 +1,3 @@
DIST skrooge-0.8.0.tar.bz2 8262568 RMD160 094659591763bf757cf5bb050f191492163b072a SHA1 47182435735a9abbe733782814ff770ddb5f0ab6 SHA256 67cb3f557bbeb55afa77f7b306187cead45915d1cf0161bbd1206a942d2af66e
DIST skrooge-1.0.0.tar.bz2 7083506 RMD160 3d40192242621231ef6761d633a1e55cc3ce6ab9 SHA1 f67a9c4fe1dc53c8fd4e26d2e37935fa3f96c1b6 SHA256 8c78cec3ff873d46cf45c809029d72c61e789226ca337b47f75dc41a128de98e
DIST skrooge-1.1.1.tar.bz2 8559953 RMD160 030e9f16f9ec9a81a48c7610fc0df5b7d73442bf SHA1 063af1a04c2406babc59203e0d57912e834e46f1 SHA256 6553a61a74bb4f5d0272fff4844e47d983fa38cd6af0481658f4d1e3150c6d62
DIST skrooge-1.2.0.tar.bz2 9709899 RMD160 9652414237b000a1ba206911876d6104423e642c SHA1 1587d493f6064637805e3601bdae08fd5258a633 SHA256 059d2e1dd6feb8e7fcf86b61c0932359b182c207f9dda21642a50253b7857f2a

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/skrooge/skrooge-1.1.1.ebuild,v 1.1 2012/01/12 22:23:05 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/skrooge/skrooge-1.1.1.ebuild,v 1.2 2012/01/18 14:46:30 johu Exp $
EAPI=4
KDE_LINGUAS="bg bs ca ca@valencia cs da de el en_GB eo es et fr ga gl hu it ja lt nb
@ -10,10 +10,10 @@ KDE_HANDBOOK=optional
inherit kde4-base
DESCRIPTION="personal finances manager for KDE4, aiming at being simple and intuitive"
HOMEPAGE="http://skrooge.org/"
SRC_URI="http://skrooge.org/files/${P}.tar.bz2"
HOMEPAGE="http://www.skrooge.org/"
SRC_URI="http://www.skrooge.org/files/${P}.tar.bz2"
LICENSE="GPL-3"
LICENSE="GPL-2"
SLOT="4"
KEYWORDS="~amd64 ~x86"
IUSE="debug"

@ -1,21 +1,23 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-office/skrooge/skrooge-1.0.0.ebuild,v 1.1 2011/10/18 22:36:55 dilfridge Exp $
# $Header: /var/cvsroot/gentoo-x86/app-office/skrooge/skrooge-1.2.0.ebuild,v 1.1 2012/01/18 14:46:30 johu Exp $
EAPI=4
KDE_LINGUAS="bg bs ca ca@valencia cs da de el en_GB eo es et fr ga gl hu it ja lt nb
nl pl pt pt_BR ro ru sk sv tr ug zh_CN"
KDE_LINGUAS="bg bs ca ca@valencia cs da de el en_GB eo es et fr ga gl hu it ja
ko lt ms nb nl pl pt pt_BR ro ru sk sv tr ug zh_CN zh_TW"
KDE_DOC_DIRS="doc"
KDE_HANDBOOK=optional
inherit kde4-base
DESCRIPTION="personal finances manager for KDE4, aiming at being simple and intuitive"
HOMEPAGE="http://skrooge.org/"
SRC_URI="http://skrooge.org/files/${P}.tar.bz2"
HOMEPAGE="http://www.skrooge.org/"
SRC_URI="http://www.skrooge.org/files/${P}.tar.bz2"
LICENSE="GPL-3"
LICENSE="GPL-2"
SLOT="4"
KEYWORDS="~amd64 ~x86"
IUSE="debug +handbook"
IUSE="debug"
DEPEND="
app-crypt/qca:2
@ -27,7 +29,7 @@ RDEPEND="${DEPEND}
$(add_kdebase_dep kdesdk-scripts)
"
DOCS="AUTHORS CHANGELOG README TODO"
DOCS=( AUTHORS CHANGELOG README TODO )
src_test() { :; }
# tests are not included in tarball, bug 372315

@ -1 +1,2 @@
DIST euscan-0.1.0.tar.gz 441148 RMD160 302921ddd943a7a4dec5d4786685da81f49f9f4e SHA1 4d200cd5eca9c059f7621786c386ac2e0a48b50d SHA256 8a489777a10de76f0d93bbfda41177c3ee991df6472ac1503e8cb5b99782fb61
DIST euscan-0.1.1.tar.gz 441780 RMD160 86428da634e78511932754adc0aca6bddce55862 SHA1 c1bc996dbc0c9cba759c63d416b8788bc02e0318 SHA256 cbf89803c0c8d6025239f0abd1ac17179c8ff81b1b059be7fc9415a8cfe6dd7e

@ -0,0 +1,37 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-portage/euscan/euscan-0.1.1.ebuild,v 1.1 2012/01/18 18:59:00 hwoarang Exp $
EAPI="3"
SUPPORT_PYTHON_ABIS="1"
RESTRICT_PYTHON_ABIS="2.[45] 3.*"
PYTHON_USE_WITH="xml"
PYTHON_NONVERSIONED_EXECUTABLES=(".*")
inherit distutils python
DESCRIPTION="Ebuild upstream scan utility"
HOMEPAGE="http://euscan.iksaif.net"
SRC_URI="http://dev.gentoo.org/~hwoarang/distfiles/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
IUSE=""
KEYWORDS="~amd64 ~x86"
DEPEND="sys-apps/portage"
RDEPEND="${DEPEND}
>=app-portage/gentoolkit-0.2.8
dev-python/argparse
dev-python/setuptools
dev-python/beautifulsoup"
distutils_src_compile_pre_hook() {
echo VERSION="${PV}" "$(PYTHON)" setup.py set_version
VERSION="${PV}" "$(PYTHON)" setup.py set_version
}
src_compile() {
distutils_src_compile
}

@ -1,2 +1 @@
DIST cedilla-0.3.tar.gz 128037 RMD160 3cda914230c106fac65cca5a79c01d078ec98ed4 SHA1 1c34537d58bbb71d4443f14a1d6deaeaffd81a07 SHA256 d00fb4e90eb31102092f33a4a9186977cfb4e3a0d6f2f5bb248119ac2afaf6a8
DIST cedilla-0.6.tar.gz 130676 RMD160 96defbd5f212b9d8e6a60ba8658a5d0ab2cf9b32 SHA1 2318e8788837980df9a6a902cde977d9fd93e219 SHA256 c5840c3e125fab29af844540239dfb475b59c6ecd67270736898608de743df43

@ -1,34 +0,0 @@
# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/cedilla/cedilla-0.3.ebuild,v 1.7 2005/01/01 16:05:12 eradicator Exp $
inherit eutils
DESCRIPTION="Utf-8 to postscript converter."
HOMEPAGE="http://www.pps.jussieu.fr/~jch/software/cedilla/"
SRC_URI="http://www.pps.jussieu.fr/~jch/software/files/${P}.tar.gz"
KEYWORDS="x86"
SLOT="0"
LICENSE="GPL-2"
IUSE=""
DEPEND=">=dev-lisp/clisp-2.29
>=sys-apps/sed-4"
RDEPEND=""
src_unpack() {
unpack ${A}
epatch ${FILESDIR}/cedilla-gentoo.patch
}
src_compile() {
./compile-cedilla || die "Compile failed"
}
src_install() {
sed -i 's#/var/tmp/portage/cedilla-0.3/image##g' ${S}/cedilla
./install-cedilla || die "Install failed"
newman cedilla.man cedilla.1
dodoc NEWS README
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/dvipng/dvipng-1.14.ebuild,v 1.5 2012/01/09 21:15:15 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/dvipng/dvipng-1.14.ebuild,v 1.6 2012/01/18 21:17:18 maekke Exp $
EAPI="2"
inherit eutils
@ -11,7 +11,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
LICENSE="LGPL-3"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="t1lib truetype test"
RDEPEND="media-libs/gd[jpeg,png]

@ -1,2 +1,3 @@
DIST focuswriter-1.2.0-src.tar.bz2 512716 RMD160 402bbce285ccb71a7a701180792b70a8b5c6e097 SHA1 0ce703100f358b2e5876249d973d2d06c67323f4 SHA256 d0ef02b0d9469e9940cc2f1ca76b368a396024f4a8ff0cbe2907766acda6dc6d
DIST focuswriter-1.3.3-src.tar.bz2 7351725 RMD160 48dd4e66f868c4244e83bd283aaa993288d7e82c SHA1 5a75863032b449ab2bf25e8d76e809d7beeaddb8 SHA256 38b14f89dff0d4650437b4a56b7c347eedb028e433f6e5f8c021518e0362d2b5
DIST focuswriter-1.3.5.2-src.tar.bz2 11387235 RMD160 130c1d8989845c261485cace97c73c1d35199d2e SHA1 19d80e1f1d9ba9ad4f86ddfa14416b41f8cb0817 SHA256 fa452056d219643e52826d5f09cf8e58aeeb38929a14cbc1ec9dab9c58f197db

@ -0,0 +1,32 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/focuswriter/focuswriter-1.3.5.2.ebuild,v 1.1 2012/01/18 23:03:42 johu Exp $
EAPI=4
LANGS="cs de el en es es_MX fi fr hu it nl pl pt pt_BR ru sv uk"
inherit qt4-r2
DESCRIPTION="A fullscreen and distraction-free word processor"
HOMEPAGE="http://gottcode.org/focuswriter/"
SRC_URI="http://gottcode.org/${PN}/${P}-src.tar.bz2"
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="debug"
DEPEND="
app-text/hunspell
dev-libs/libzip
x11-libs/qt-gui:4
media-libs/libao
"
RDEPEND="${DEPEND}"
DOCS=( ChangeLog README )
src_prepare() {
sed -i -e '/PREFIX/s:/usr/local:/usr:' ${PN}.pro || die
qt4-r2_src_prepare
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/hd2u/hd2u-1.0.3.ebuild,v 1.4 2012/01/15 15:26:19 phajdan.jr Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/hd2u/hd2u-1.0.3.ebuild,v 1.5 2012/01/18 15:59:15 jer Exp $
EAPI=4
@ -10,7 +10,7 @@ DESCRIPTION="Dos2Unix like text file converter"
HOMEPAGE="http://www.megaloman.com/~hany/software/hd2u/"
SRC_URI="http://www.megaloman.com/~hany/_data/hd2u/${P}.tgz"
KEYWORDS="~alpha amd64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86"
KEYWORDS="~alpha amd64 hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc x86"
SLOT="0"
LICENSE="GPL-2"
IUSE=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/iso-codes/iso-codes-3.30.ebuild,v 1.4 2012/01/14 16:08:02 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/iso-codes/iso-codes-3.30.ebuild,v 1.5 2012/01/18 19:57:50 maekke Exp $
EAPI="4"
@ -12,7 +12,7 @@ SRC_URI="http://pkg-isocodes.alioth.debian.org/downloads/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
IUSE=""
RDEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/libexttextcat/libexttextcat-3.2.0.ebuild,v 1.2 2012/01/16 11:54:24 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/libexttextcat/libexttextcat-3.2.0.ebuild,v 1.3 2012/01/18 20:03:28 lxnay Exp $
EAPI=4
@ -10,7 +10,7 @@ SRC_URI="http://dev-www.libreoffice.org/src/${PN}/${P}.tar.xz"
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="amd64 ~arm ~ppc ~x86 ~amd64-linux ~x86-linux"
IUSE="static-libs"
DEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-text/libwpd/libwpd-0.9.4.ebuild,v 1.4 2012/01/14 16:09:26 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/app-text/libwpd/libwpd-0.9.4.ebuild,v 1.5 2012/01/18 20:11:41 lxnay Exp $
EAPI=4
@ -12,7 +12,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
LICENSE="LGPL-2.1"
SLOT="0.9"
KEYWORDS="~alpha amd64 hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
IUSE="doc test +tools"
RDEPEND=""

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/atkmm/atkmm-2.22.6.ebuild,v 1.4 2012/01/14 16:11:33 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/atkmm/atkmm-2.22.6.ebuild,v 1.5 2012/01/18 19:58:58 maekke Exp $
EAPI="4"
GCONF_DEBUG="no"
@ -13,7 +13,7 @@ HOMEPAGE="http://www.gtkmm.org"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
IUSE="doc"
RDEPEND=">=dev-cpp/glibmm-2.24:2[doc?]

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/gconfmm/gconfmm-2.28.3.ebuild,v 1.3 2012/01/14 16:12:41 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/gconfmm/gconfmm-2.28.3.ebuild,v 1.4 2012/01/18 20:00:02 maekke Exp $
EAPI="4"
GCONF_DEBUG="no"
@ -13,7 +13,7 @@ HOMEPAGE="http://www.gtkmm.org"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd"
KEYWORDS="~alpha amd64 arm ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd"
IUSE="doc"
RDEPEND=">=gnome-base/gconf-2.4:2

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/glibmm/glibmm-2.30.1.ebuild,v 1.4 2012/01/14 16:18:15 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/glibmm/glibmm-2.30.1.ebuild,v 1.5 2012/01/18 20:13:56 maekke Exp $
EAPI="4"
GCONF_DEBUG="no"
@ -13,7 +13,7 @@ HOMEPAGE="http://www.gtkmm.org"
LICENSE="|| ( LGPL-2.1 GPL-2 )"
SLOT="2"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE="doc debug examples test"
RDEPEND=">=dev-libs/libsigc++-2.2.10:2

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/pangomm/pangomm-2.28.4.ebuild,v 1.4 2012/01/14 16:19:25 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-cpp/pangomm/pangomm-2.28.4.ebuild,v 1.5 2012/01/18 20:15:02 maekke Exp $
EAPI="4"
GCONF_DEBUG="no"
@ -13,7 +13,7 @@ HOMEPAGE="http://www.gtkmm.org"
LICENSE="LGPL-2.1"
SLOT="1.4"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~sparc-solaris ~x86-solaris"
IUSE="doc"
COMMON_DEPEND=">=x11-libs/pango-1.23.0

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-init-scripts/mysql-init-scripts-2.0_pre1-r2.ebuild,v 1.2 2012/01/07 18:14:26 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql-init-scripts/mysql-init-scripts-2.0_pre1-r2.ebuild,v 1.3 2012/01/18 21:19:35 maekke Exp $
DESCRIPTION="Gentoo MySQL init scripts."
HOMEPAGE="http://www.gentoo.org/"
@ -8,7 +8,7 @@ SRC_URI=""
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE=""
DEPEND=""

@ -2,9 +2,12 @@ DIST sqlite-2.8.16.tar.gz 981834 RMD160 df60e84f16ccd8b6b8e86dabfe6bf40f6a3dc136
DIST sqlite-autoconf-3070701.tar.gz 1748837 RMD160 c86c81ccc3ad1baec6f753090e5ce1d5d9e03f13 SHA1 ee405037ab49f46f657a9b314e66eec6009d5fc6 SHA256 7dcc36b25f7bcbe2938d0ea2baea5b706f0af93473d02a3f612d7ab39e386edf
DIST sqlite-autoconf-3070800.tar.gz 1776215 RMD160 98bc0a4c5a341958c28861342a75686aef8b4dff SHA1 34852cfd49ddea440eb26a35ad32deee0176a724 SHA256 fd8c7f70db7e06b51196efccb937f2a657abc7b27ef61fe3a7fb8e72ac4dfa32
DIST sqlite-autoconf-3070900.tar.gz 1783755 RMD160 03ec092aeb7cc5453935f6c8ae00558d472b710a SHA1 a9da98a4bde4d9dae5c29a969455d11a03600e11 SHA256 7be6cdb375505e5d9a4aee88b2ddb6ea0d9d29c9545114ff77b345e1fa812439
DIST sqlite-autoconf-3071000.tar.gz 1801640 RMD160 8932a5cd4b596632c63af30cbd94c2b6c9d45377 SHA1 0442d5a1bff50153039951b09db649864d8af0bb SHA256 9c1775057af5cc8b6cc64808b9553d77beccf3757e16ecee3bc878404d9c43e3
DIST sqlite-doc-3070701.zip 3256079 RMD160 11c4a3fa4e53f644970ff487d3ca32e6c001e38b SHA1 6331814cacaad47fb1b940f29740ca6449b365ab SHA256 6d48322b9b22094f6e505b5d530836bb6b43e324251be1959c8bd3f0864e07a0
DIST sqlite-doc-3070800.zip 3395664 RMD160 e4a858d78b3cad71e43a8bb73755e09290dccd38 SHA1 e8fec8ca866289477ea4249c219e07bc301d96c6 SHA256 f108aec039e1bfbc9d1ad7d34b7c67ca16c8879ee67f8b1fdea8134ce96c3de1
DIST sqlite-doc-3070900.zip 3332830 RMD160 841495870094ab3314bfcecd82e182548fa483fe SHA1 2d4a25f75cc6b7251f1b49b828f9fd1d699fc8a2 SHA256 bfd8238d9f12cb7914f31f74689d5b97d0549ce47d4b572fe6574e9c75821de3
DIST sqlite-doc-3071000.zip 3630343 RMD160 6a75f7c10a8421a99e28c5430ab4f0a0ac09e6d6 SHA1 9957b9f2e955d82b2484cb44cc6fb4a53313d085 SHA256 f74c3681111d35a58449b0c1851a8f852b9cb8c4ec19a6f0ecaae9f2d1f7ca28
DIST sqlite-src-3070701.zip 4562259 RMD160 189d5599712b056f8cf9c763326c568c78cd07f8 SHA1 e30c4de765a1569dc74e2fe12966bc859f4739e5 SHA256 898bfc1cf80c8af26b3107d19db224b457953e8e3ff4bbc69bd70ecb9ab2db39
DIST sqlite-src-3070800.zip 4614579 RMD160 7ce1777fb866ef56460a335b48c2ebb6d1156188 SHA1 70201da90a0184b5a77270950bb7c0a8155c57a6 SHA256 a1c44be6f4eb3a903fc449f30fb0fb0a4df259a10b8685138e97146d24268899
DIST sqlite-src-3070900.zip 4639586 RMD160 82917145ed643d9c1a22a3cbbb57a4140b6c658c SHA1 d0f7661f06c246429f75973b61c7e620f5ec43cd SHA256 6ebffe166267fb783056a4200d7500289cc366ca287c9b3457dbd46a26d704d0
DIST sqlite-src-3071000.zip 4682084 RMD160 64f2fc871bcb129a2cedc92da02ef668bb95689a SHA1 23baab0a89d77e7b1a9a0ececd05dd629a2b098d SHA256 e976196a9c64bd152917760a134834a881c9eebc34f49125102a8918c5cd86a4

@ -0,0 +1,157 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/sqlite/sqlite-3.7.10.ebuild,v 1.1 2012/01/18 22:56:13 hwoarang Exp $
EAPI="4"
inherit autotools eutils flag-o-matic multilib versionator
SRC_PV="$(printf "%u%02u%02u%02u" $(get_version_components))"
# DOC_PV="$(printf "%u%02u%02u00" $(get_version_components $(get_version_component_range 1-3)))"
DOC_PV="${SRC_PV}"
DESCRIPTION="A SQL Database Engine in a C Library"
HOMEPAGE="http://sqlite.org/"
SRC_URI="doc? ( http://sqlite.org/${PN}-doc-${DOC_PV}.zip )
tcl? ( http://sqlite.org/${PN}-src-${SRC_PV}.zip )
!tcl? (
test? ( http://sqlite.org/${PN}-src-${SRC_PV}.zip )
!test? ( http://sqlite.org/${PN}-autoconf-${SRC_PV}.tar.gz )
)"
LICENSE="as-is"
SLOT="3"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="debug doc +extensions +fts3 icu +readline secure-delete soundex tcl test +threadsafe unlock-notify"
RDEPEND="icu? ( dev-libs/icu )
readline? ( sys-libs/readline )
tcl? ( dev-lang/tcl )"
DEPEND="${RDEPEND}
doc? ( app-arch/unzip )
tcl? ( app-arch/unzip )
test? (
app-arch/unzip
dev-lang/tcl
)"
amalgamation() {
use !tcl && use !test
}
pkg_setup() {
if amalgamation; then
S="${WORKDIR}/${PN}-autoconf-${SRC_PV}"
else
S="${WORKDIR}/${PN}-src-${SRC_PV}"
fi
}
src_prepare() {
# At least ppc-aix, x86-interix and *-solaris need newer libtool.
use prefix && eautoreconf
epunt_cxx
}
src_configure() {
# `configure` from amalgamation tarball doesn't add -DSQLITE_DEBUG or -DNDEBUG flag.
if amalgamation; then
if use debug; then
append-cppflags -DSQLITE_DEBUG
else
append-cppflags -DNDEBUG
fi
fi
# Support column metadata, bug #266651
append-cppflags -DSQLITE_ENABLE_COLUMN_METADATA
# Support R-trees, bug #257646
append-cppflags -DSQLITE_ENABLE_RTREE
if use icu; then
append-cppflags -DSQLITE_ENABLE_ICU
if amalgamation; then
sed -e "s/LIBS = @LIBS@/& -licui18n -licuuc/" -i Makefile.in || die "sed failed"
else
sed -e "s/TLIBS = @LIBS@/& -licui18n -licuuc/" -i Makefile.in || die "sed failed"
fi
fi
# Support FTS3, bug #207701
if use fts3; then
append-cppflags -DSQLITE_ENABLE_FTS3 -DSQLITE_ENABLE_FTS3_PARENTHESIS
fi
# Enable secure_delete pragma by default
if use secure-delete; then
append-cppflags -DSQLITE_SECURE_DELETE -DSQLITE_CHECK_PAGES -DSQLITE_CORE
fi
# Support soundex, bug #143794
if use soundex; then
append-cppflags -DSQLITE_SOUNDEX
fi
# Enable unlock notification
if use unlock-notify; then
append-cppflags -DSQLITE_ENABLE_UNLOCK_NOTIFY
fi
local extensions_option
if amalgamation; then
extensions_option="dynamic-extensions"
else
extensions_option="load-extension"
fi
# Starting from 3.6.23, SQLite has locking strategies that are specific to
# OSX. By default they are enabled, and use semantics that only make sense
# on OSX. However, they require gethostuuid() function for that, which is
# only available on OSX starting from 10.6 (Snow Leopard). For earlier
# versions of OSX we have to disable all this nifty locking options, as
# suggested by upstream.
if [[ "${CHOST}" == *-darwin[56789] ]]; then
append-cppflags -DSQLITE_ENABLE_LOCKING_STYLE="0"
fi
if [[ "${CHOST}" == *-mint* ]]; then
append-cppflags -DSQLITE_OMIT_WAL
fi
# `configure` from amalgamation tarball doesn't support
# --with-readline-inc and --(enable|disable)-tcl options.
econf \
--disable-static \
$(use_enable extensions ${extensions_option}) \
$(use_enable readline) \
$(use_enable threadsafe) \
$(amalgamation || echo --with-readline-inc="-I${EPREFIX}/usr/include/readline") \
$(amalgamation || use_enable debug) \
$(amalgamation || echo --enable-tcl)
}
src_compile() {
emake TCLLIBDIR="${EPREFIX}/usr/$(get_libdir)/${P}"
}
src_test() {
if [[ "${EUID}" -eq 0 ]]; then
ewarn "Skipping tests due to root permissions"
return
fi
emake $(use debug && echo fulltest || echo test)
}
src_install() {
emake DESTDIR="${D}" TCLLIBDIR="${EPREFIX}/usr/$(get_libdir)/${P}" install
find "${ED}" -name "*.la" -exec rm -f {} +
doman sqlite3.1
if use doc; then
dohtml -r "${WORKDIR}/${PN}-doc-${DOC_PV}/"*
fi
}

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/nacl-toolchain-newlib/nacl-toolchain-newlib-0_p7311.ebuild,v 1.1 2011/12/02 07:41:31 phajdan.jr Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/nacl-toolchain-newlib/nacl-toolchain-newlib-0_p7311.ebuild,v 1.3 2012/01/18 11:29:52 ago Exp $
EAPI="4"
@ -28,7 +28,7 @@ LICENSE+=" NEWLIB LIBGLOSS GPL-2" # newlib
LICENSE+=" GPL-3 LGPL-3 || ( GPL-3 libgcc libstdc++ gcc-runtime-library-exception-3.1 ) FDL-1.2" # gcc
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 x86"
IUSE=""
# Stripping with a non-NaCl strip breaks the toolchain, bug #386931.

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-lang/vala/vala-0.14.1.ebuild,v 1.5 2012/01/14 16:20:36 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-lang/vala/vala-0.14.1.ebuild,v 1.6 2012/01/18 20:16:08 maekke Exp $
EAPI="4"
GCONF_DEBUG="no"
@ -13,7 +13,7 @@ HOMEPAGE="http://live.gnome.org/Vala"
LICENSE="LGPL-2.1"
SLOT="0.14"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-linux"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-linux"
IUSE="test +vapigen"
RDEPEND=">=dev-libs/glib-2.16:2"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/glib/glib-2.30.2.ebuild,v 1.7 2012/01/14 16:17:06 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/glib/glib-2.30.2.ebuild,v 1.8 2012/01/18 20:12:49 maekke Exp $
EAPI="4"
PYTHON_DEPEND="utils? 2"
@ -16,7 +16,7 @@ SRC_URI="${SRC_URI}
LICENSE="LGPL-2"
SLOT="2"
IUSE="debug doc fam selinux +static-libs systemtap test utils xattr"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd ~x86-linux"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd ~x86-linux"
RDEPEND="virtual/libiconv
virtual/libffi

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gmime/gmime-2.4.28.ebuild,v 1.4 2012/01/14 16:21:51 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gmime/gmime-2.4.28.ebuild,v 1.5 2012/01/18 20:17:17 maekke Exp $
EAPI="4"
GCONF_DEBUG="no"
@ -13,7 +13,7 @@ HOMEPAGE="http://spruce.sourceforge.net/gmime/"
SLOT="2.4"
LICENSE="LGPL-2.1"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
IUSE="doc mono static-libs"
RDEPEND=">=dev-libs/glib-2.12:2

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gmime/gmime-2.6.1.ebuild,v 1.4 2012/01/14 16:23:01 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gmime/gmime-2.6.1.ebuild,v 1.5 2012/01/18 20:18:31 maekke Exp $
EAPI="4"
GCONF_DEBUG="no"
@ -13,7 +13,7 @@ HOMEPAGE="http://spruce.sourceforge.net/gmime/"
SLOT="2.6"
LICENSE="LGPL-2.1"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~ppc ~ppc64 ~sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
IUSE="doc mono static-libs"
RDEPEND=">=dev-libs/glib-2.18.0:2

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gobject-introspection/gobject-introspection-1.30.0-r1.ebuild,v 1.6 2012/01/14 16:24:09 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/gobject-introspection/gobject-introspection-1.30.0-r1.ebuild,v 1.7 2012/01/18 20:19:39 maekke Exp $
EAPI="4"
GCONF_DEBUG="no"
@ -15,7 +15,7 @@ SRC_URI="${SRC_URI} mirror://gentoo/${P}-patches-1.tar.xz"
LICENSE="LGPL-2 GPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="doc test"

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libcroco/libcroco-0.6.3.ebuild,v 1.4 2012/01/14 16:26:22 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libcroco/libcroco-0.6.3.ebuild,v 1.5 2012/01/18 20:20:44 maekke Exp $
EAPI="4"
GCONF_DEBUG="no"
@ -13,7 +13,7 @@ HOMEPAGE="http://git.gnome.org/browse/libcroco/"
LICENSE="LGPL-2"
SLOT="0.6"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc x86 ~sparc-fbsd ~x86-fbsd"
IUSE="doc test"
RDEPEND="dev-libs/glib:2

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libgdata/libgdata-0.8.1-r1.ebuild,v 1.3 2012/01/14 16:28:25 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libgdata/libgdata-0.8.1-r1.ebuild,v 1.4 2012/01/18 20:21:53 maekke Exp $
EAPI="3"
GCONF_DEBUG="yes"
@ -12,7 +12,7 @@ HOMEPAGE="http://live.gnome.org/libgdata"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc x86"
KEYWORDS="~alpha amd64 arm ~ia64 ~ppc ~ppc64 ~sparc x86"
IUSE="doc gnome +introspection"
# gtk+ is needed for gdk

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libgee/libgee-0.6.3.ebuild,v 1.3 2012/01/14 16:31:06 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libgee/libgee-0.6.3.ebuild,v 1.4 2012/01/18 20:22:59 maekke Exp $
EAPI="4"
GCONF_DEBUG="no"
@ -13,7 +13,7 @@ HOMEPAGE="http://live.gnome.org/Libgee"
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-linux"
KEYWORDS="~alpha amd64 arm ~ia64 ~ppc ~ppc64 ~sh ~sparc x86 ~x86-linux"
IUSE="+introspection"
RDEPEND=">=dev-libs/glib-2.12:2

@ -1,6 +1,6 @@
# Copyright 1999-2011 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libmirage/libmirage-1.4.0.ebuild,v 1.1 2011/11/23 08:34:34 tetromino Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libmirage/libmirage-1.4.0.ebuild,v 1.2 2012/01/18 12:07:51 ago Exp $
EAPI="4"
@ -10,7 +10,7 @@ SRC_URI="mirror://sourceforge/cdemu/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="static-libs"
RDEPEND=">=dev-libs/glib-2.6:2

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libunique/libunique-3.0.2.ebuild,v 1.6 2012/01/14 16:34:38 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/libunique/libunique-3.0.2.ebuild,v 1.7 2012/01/18 20:24:08 maekke Exp $
EAPI="4"
GCONF_DEBUG="yes"
@ -14,7 +14,7 @@ HOMEPAGE="http://live.gnome.org/LibUnique"
LICENSE="LGPL-2.1"
SLOT="3"
KEYWORDS="~alpha amd64 ~arm hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~x86-solaris"
KEYWORDS="~alpha amd64 arm hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc x86 ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux ~x86-solaris"
IUSE="doc +introspection"
RDEPEND=">=dev-libs/glib-2.25.7:2

@ -1,6 +1,8 @@
DIST openssl-0.9.8r.tar.gz 3773698 RMD160 9bc8024bf7af229c5024887d6f6a368cd8b93728 SHA1 a02411e5f4d463cac4a2a4a357a4a0b93bf65e72 SHA256 42b2368f786b05ed3be846838dce126b4e8e3dba8fb2e0ce83102df28c102fad
DIST openssl-0.9.8s.tar.gz 3779406 RMD160 61c98766dfca33e4a60c1e13196bc32c1c65930a SHA1 a7410b0991f37e125bf835dfd1315822fca64d56 SHA256 edc9639beaf2d5e239d8e5c9d2fe1959e6726a5d7f8ab8430613835f4623f9ba
DIST openssl-0.9.8t.tar.gz 3778943 RMD160 8d5a32ebc94c578021bce519f92b5d31743d3e47 SHA1 42e2ba06cc859d61f645915c9a30326eda371a5e SHA256 6b9b3ef5ea942d7b5c3ce23e9e929d8eecd090e81f18d87ad3aaf2eb9a226a14
DIST openssl-1.0.0d.tar.gz 4025484 RMD160 0c6cdf0659d88bf4dbc6d0394059a47a01fe6846 SHA1 32ca934f380a547061ddab7221b1a34e4e07e8d5 SHA256 92511d1f0caaa298dba250426f8e7d5d00b271847886d1adc62422778d6320db
DIST openssl-1.0.0e.tar.gz 4040229 RMD160 f7b7c8146592bb0924f145b1e3382b5a1d9283e4 SHA1 235eb68e5a31b0f7a23bc05f52d7a39c596e2e69 SHA256 e361dc2775733fb84de7b5bf7b504778b772869e8f7bfac0b28b935cbf7380f7
DIST openssl-1.0.0f.tar.gz 4043367 RMD160 4eb32bc51a86b28f6c0c159e421786d51bf441bd SHA1 f087190fc7702f328324aaa89c297cab6e236564 SHA256 faf1eab0ef85fd6c3beca271c356b31b5cc831e2c6b7f23cf672e7ab4680fde1
DIST openssl-1.0.0g.tar.gz 4046513 RMD160 142ac92dee03b964462321ad60655a374ee36380 SHA1 2b517baada2338663c27314cb922f9755e73e07f SHA256 905106a1505e7d9f7c36ee81408d3aa3d41aac291a9603d0c290c9530c92fc2c
DIST openssl-c_rehash.sh.1.7 4167 RMD160 c87f12c5421593d160f0cc650921c2e3412869ab SHA1 54493c80be245f2da9b7d303e49d613d376d9609 SHA256 4999ee79892f52bd6a4a7baba9fac62262454d573bbffd72685d3aae9e48cee0

@ -0,0 +1,141 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-0.9.8t.ebuild,v 1.1 2012/01/18 15:26:40 vapier Exp $
# this ebuild is only for the libcrypto.so.0.9.8 and libssl.so.0.9.8 SONAME for ABI compat
EAPI="2"
inherit eutils flag-o-matic toolchain-funcs
DESCRIPTION="Toolkit for SSL v2/v3 and TLS v1"
HOMEPAGE="http://www.openssl.org/"
SRC_URI="mirror://openssl/source/${P}.tar.gz"
LICENSE="openssl"
SLOT="0.9.8"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE="bindist gmp kerberos sse2 test zlib"
RDEPEND="gmp? ( dev-libs/gmp )
zlib? ( sys-libs/zlib )
kerberos? ( app-crypt/mit-krb5 )
!=dev-libs/openssl-0.9.8*:0"
DEPEND="${RDEPEND}
sys-apps/diffutils
>=dev-lang/perl-5
test? ( sys-devel/bc )"
pkg_setup() {
# avoid collisions with openssl-1 (preserve lib)
if ! has_version dev-libs/openssl:${SLOT} ; then
ewarn "Removing lib{crypto,ssl}.so.0.9.8 to avoid collision with openssl-1"
rm -f "${ROOT}"/usr/$(get_libdir)/lib{crypto,ssl}.so.0.9.8
fi
}
src_prepare() {
epatch "${FILESDIR}"/${PN}-0.9.8e-bsd-sparc64.patch
epatch "${FILESDIR}"/${PN}-0.9.8h-ldflags.patch #181438
epatch "${FILESDIR}"/${PN}-0.9.8m-binutils.patch #289130
# disable fips in the build
# make sure the man pages are suffixed #302165
# don't bother building man pages if they're disabled
sed -i \
-e '/DIRS/s: fips : :g' \
-e '/^MANSUFFIX/s:=.*:=ssl:' \
-e '/^MAKEDEPPROG/s:=.*:=$(CC):' \
-e $(has noman FEATURES \
&& echo '/^install:/s:install_docs::' \
|| echo '/^MANDIR=/s:=.*:=/usr/share/man:') \
Makefile{,.org} \
|| die
# show the actual commands in the log
sed -i '/^SET_X/s:=.*:=set -x:' Makefile.shared
# update the enginedir path
sed -i \
-e "/foo.*engines/s|/lib/engines|/$(get_libdir)/engines|" \
Configure || die
# allow openssl to be cross-compiled
cp "${FILESDIR}"/gentoo.config-0.9.8 gentoo.config || die "cp cross-compile failed"
chmod a+rx gentoo.config
append-flags -fno-strict-aliasing
append-flags -Wa,--noexecstack
sed -i '1s,^:$,#!/usr/bin/perl,' Configure #141906
sed -i '/^"debug-steve/d' Configure # 0.9.8k shipped broken
./config --test-sanity || die "I AM NOT SANE"
}
src_configure() {
unset APPS #197996
unset SCRIPTS #312551
tc-export CC AR RANLIB
# Clean out patent-or-otherwise-encumbered code
# Camellia: Royalty Free http://en.wikipedia.org/wiki/Camellia_(cipher)
# IDEA: Expired http://en.wikipedia.org/wiki/International_Data_Encryption_Algorithm
# EC: ????????? ??/??/2015 http://en.wikipedia.org/wiki/Elliptic_Curve_Cryptography
# MDC2: Expired http://en.wikipedia.org/wiki/MDC-2
# RC5: 5,724,428 03/03/2015 http://en.wikipedia.org/wiki/RC5
use_ssl() { use $1 && echo "enable-${2:-$1} ${*:3}" || echo "no-${2:-$1}" ; }
echoit() { echo "$@" ; "$@" ; }
local krb5=$(has_version app-crypt/mit-krb5 && echo "MIT" || echo "Heimdal")
local sslout=$(./gentoo.config)
einfo "Use configuration ${sslout:-(openssl knows best)}"
local config="Configure"
[[ -z ${sslout} ]] && config="config"
echoit \
./${config} \
${sslout} \
$(use sse2 || echo "no-sse2") \
enable-camellia \
$(use_ssl !bindist ec) \
enable-idea \
enable-mdc2 \
$(use_ssl !bindist rc5) \
enable-tlsext \
$(use_ssl gmp gmp -lgmp) \
$(use_ssl kerberos krb5 --with-krb5-flavor=${krb5}) \
$(use_ssl zlib) \
--prefix=/usr \
--openssldir=/etc/ssl \
shared threads \
|| die "Configure failed"
# Clean out hardcoded flags that openssl uses
local CFLAG=$(grep ^CFLAG= Makefile | LC_ALL=C sed \
-e 's:^CFLAG=::' \
-e 's:-fomit-frame-pointer ::g' \
-e 's:-O[0-9] ::g' \
-e 's:-march=[-a-z0-9]* ::g' \
-e 's:-mcpu=[-a-z0-9]* ::g' \
-e 's:-m[a-z0-9]* ::g' \
)
sed -i \
-e "/^LIBDIR=/s|=.*|=$(get_libdir)|" \
-e "/^CFLAG/s|=.*|=${CFLAG} ${CFLAGS}|" \
-e "/^SHARED_LDFLAGS=/s|$| ${LDFLAGS}|" \
Makefile || die
}
src_compile() {
# depend is needed to use $confopts
emake -j1 depend || die "depend failed"
emake -j1 build_libs || die "make build_libs failed"
}
src_test() {
emake -j1 test || die "make test failed"
}
src_install() {
dolib.so lib{crypto,ssl}.so.0.9.8 || die
}

@ -0,0 +1,209 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/openssl/openssl-1.0.0g.ebuild,v 1.1 2012/01/18 15:26:40 vapier Exp $
EAPI="4"
inherit eutils flag-o-matic toolchain-funcs
REV="1.7"
DESCRIPTION="full-strength general purpose cryptography library (including SSL v2/v3 and TLS v1)"
HOMEPAGE="http://www.openssl.org/"
SRC_URI="mirror://openssl/source/${P}.tar.gz
http://cvs.pld-linux.org/cgi-bin/cvsweb.cgi/~checkout~/packages/${PN}/${PN}-c_rehash.sh?rev=${REV} -> ${PN}-c_rehash.sh.${REV}"
LICENSE="openssl"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
IUSE="bindist gmp kerberos rfc3779 sse2 static-libs test zlib"
# Have the sub-libs in RDEPEND with [static-libs] since, logically,
# our libssl.a depends on libz.a/etc... at runtime.
LIB_DEPEND="gmp? ( dev-libs/gmp[static-libs(+)] )
zlib? ( sys-libs/zlib[static-libs(+)] )
kerberos? ( app-crypt/mit-krb5 )"
RDEPEND="static-libs? ( ${LIB_DEPEND} )
!static-libs? ( ${LIB_DEPEND//\[static-libs(+)]} )"
DEPEND="${RDEPEND}
sys-apps/diffutils
>=dev-lang/perl-5
test? ( sys-devel/bc )"
PDEPEND="app-misc/ca-certificates"
src_unpack() {
unpack ${P}.tar.gz
cp "${DISTDIR}"/${PN}-c_rehash.sh.${REV} "${WORKDIR}"/c_rehash || die
}
src_prepare() {
# Make sure we only ever touch Makefile.org and avoid patching a file
# that gets blown away anyways by the Configure script in src_configure
rm -f Makefile
epatch "${FILESDIR}"/${PN}-1.0.0a-ldflags.patch #327421
epatch "${FILESDIR}"/${PN}-1.0.0d-fbsd-amd64.patch #363089
epatch "${FILESDIR}"/${PN}-1.0.0d-windres.patch #373743
epatch "${FILESDIR}"/${PN}-1.0.0e-pkg-config.patch
epatch "${FILESDIR}"/${PN}-1.0.0e-parallel-build.patch
epatch "${FILESDIR}"/${PN}-1.0.0e-x32.patch
epatch_user #332661
# disable fips in the build
# make sure the man pages are suffixed #302165
# don't bother building man pages if they're disabled
sed -i \
-e '/DIRS/s: fips : :g' \
-e '/^MANSUFFIX/s:=.*:=ssl:' \
-e '/^MAKEDEPPROG/s:=.*:=$(CC):' \
-e $(has noman FEATURES \
&& echo '/^install:/s:install_docs::' \
|| echo '/^MANDIR=/s:=.*:=/usr/share/man:') \
Makefile.org \
|| die
# show the actual commands in the log
sed -i '/^SET_X/s:=.*:=set -x:' Makefile.shared
# allow openssl to be cross-compiled
cp "${FILESDIR}"/gentoo.config-1.0.0 gentoo.config || die
chmod a+rx gentoo.config
append-flags -fno-strict-aliasing
append-flags $(test-flags-CC -Wa,--noexecstack)
sed -i '1s,^:$,#!/usr/bin/perl,' Configure #141906
./config --test-sanity || die "I AM NOT SANE"
}
src_configure() {
unset APPS #197996
unset SCRIPTS #312551
unset CROSS_COMPILE #311473
tc-export CC AR RANLIB RC
# Clean out patent-or-otherwise-encumbered code
# Camellia: Royalty Free http://en.wikipedia.org/wiki/Camellia_(cipher)
# IDEA: Expired http://en.wikipedia.org/wiki/International_Data_Encryption_Algorithm
# EC: ????????? ??/??/2015 http://en.wikipedia.org/wiki/Elliptic_Curve_Cryptography
# MDC2: Expired http://en.wikipedia.org/wiki/MDC-2
# RC5: 5,724,428 03/03/2015 http://en.wikipedia.org/wiki/RC5
use_ssl() { usex $1 "enable-${2:-$1}" "no-${2:-$1}" " ${*:3}" ; }
echoit() { echo "$@" ; "$@" ; }
local krb5=$(has_version app-crypt/mit-krb5 && echo "MIT" || echo "Heimdal")
local sslout=$(./gentoo.config)
einfo "Use configuration ${sslout:-(openssl knows best)}"
local config="Configure"
[[ -z ${sslout} ]] && config="config"
echoit \
./${config} \
${sslout} \
$(use sse2 || echo "no-sse2") \
enable-camellia \
$(use_ssl !bindist ec) \
enable-idea \
enable-mdc2 \
$(use_ssl !bindist rc5) \
enable-tlsext \
$(use_ssl gmp gmp -lgmp) \
$(use_ssl kerberos krb5 --with-krb5-flavor=${krb5}) \
$(use_ssl rfc3779) \
$(use_ssl zlib) \
--prefix=/usr \
--openssldir=/etc/ssl \
--libdir=$(get_libdir) \
shared threads \
|| die
# Clean out hardcoded flags that openssl uses
local CFLAG=$(grep ^CFLAG= Makefile | LC_ALL=C sed \
-e 's:^CFLAG=::' \
-e 's:-fomit-frame-pointer ::g' \
-e 's:-O[0-9] ::g' \
-e 's:-march=[-a-z0-9]* ::g' \
-e 's:-mcpu=[-a-z0-9]* ::g' \
-e 's:-m[a-z0-9]* ::g' \
)
sed -i \
-e "/^CFLAG/s|=.*|=${CFLAG} ${CFLAGS}|" \
-e "/^SHARED_LDFLAGS=/s|$| ${LDFLAGS}|" \
Makefile || die
}
src_compile() {
# depend is needed to use $confopts; it also doesn't matter
# that it's -j1 as the code itself serializes subdirs
emake -j1 depend || die
emake all || die
# rehash is needed to prep the certs/ dir; do this
# separately to avoid parallel build issues.
emake rehash || die
}
src_test() {
emake -j1 test || die
}
src_install() {
emake INSTALL_PREFIX="${D}" install || die
dobin "${WORKDIR}"/c_rehash || die #333117
dodoc CHANGES* FAQ NEWS README doc/*.txt doc/c-indentation.el
dohtml -r doc/*
use rfc3779 && dodoc engines/ccgost/README.gost
# This is crappy in that the static archives are still built even
# when USE=static-libs. But this is due to a failing in the openssl
# build system: the static archives are built as PIC all the time.
# Only way around this would be to manually configure+compile openssl
# twice; once with shared lib support enabled and once without.
use static-libs || rm -f "${D}"/usr/lib*/lib*.a
# create the certs directory
dodir /etc/ssl/certs
cp -RP certs/* "${D}"/etc/ssl/certs/ || die
rm -r "${D}"/etc/ssl/certs/{demo,expired}
# Namespace openssl programs to prevent conflicts with other man pages
cd "${D}"/usr/share/man
local m d s
for m in $(find . -type f | xargs grep -L '#include') ; do
d=${m%/*} ; d=${d#./} ; m=${m##*/}
[[ ${m} == openssl.1* ]] && continue
[[ -n $(find -L ${d} -type l) ]] && die "erp, broken links already!"
mv ${d}/{,ssl-}${m}
# fix up references to renamed man pages
sed -i '/^[.]SH "SEE ALSO"/,/^[.]/s:\([^(, ]*(1)\):ssl-\1:g' ${d}/ssl-${m}
ln -s ssl-${m} ${d}/openssl-${m}
# locate any symlinks that point to this man page ... we assume
# that any broken links are due to the above renaming
for s in $(find -L ${d} -type l) ; do
s=${s##*/}
rm -f ${d}/${s}
ln -s ssl-${m} ${d}/ssl-${s}
ln -s ssl-${s} ${d}/openssl-${s}
done
done
[[ -n $(find -L ${d} -type l) ]] && die "broken manpage links found :("
dodir /etc/sandbox.d #254521
echo 'SANDBOX_PREDICT="/dev/crypto"' > "${D}"/etc/sandbox.d/10openssl
diropts -m0700
keepdir /etc/ssl/private
}
pkg_preinst() {
has_version ${CATEGORY}/${PN}:0.9.8 && return 0
preserve_old_lib /usr/$(get_libdir)/lib{crypto,ssl}.so.0.9.8
}
pkg_postinst() {
ebegin "Running 'c_rehash ${ROOT}etc/ssl/certs/' to rebuild hashes #333069"
c_rehash "${ROOT}etc/ssl/certs" >/dev/null
eend $?
has_version ${CATEGORY}/${PN}:0.9.8 && return 0
preserve_old_lib_notify /usr/$(get_libdir)/lib{crypto,ssl}.so.0.9.8
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-libs/totem-pl-parser/totem-pl-parser-2.32.6-r1.ebuild,v 1.4 2012/01/14 16:36:11 maekke Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-libs/totem-pl-parser/totem-pl-parser-2.32.6-r1.ebuild,v 1.5 2012/01/18 20:25:17 maekke Exp $
EAPI="4"
GCONF_DEBUG="no"
@ -16,7 +16,7 @@ HOMEPAGE="http://projects.gnome.org/totem/ http://developer.gnome.org/totem-pl-p
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~ia64 ~sparc x86 ~x86-fbsd"
KEYWORDS="~alpha amd64 arm ~ia64 ~sparc x86 ~x86-fbsd"
IUSE="archive doc +introspection +quvi"
RDEPEND=">=dev-libs/glib-2.24:2

@ -1,2 +1,2 @@
DIST Archive_Tar-1.3.5.tgz 17184 RMD160 e619a56608777d4b0accdb0ae42e5e9e5ddb1b62 SHA1 896fe60c9969409f6e552c2088f7eb4e7ecf4dfa SHA256 070a8e3acee21d324aac79729d666e81ca289374be3f861070fc42d0ba9b3083
DIST Archive_Tar-1.3.7.tgz 17610 RMD160 0b018556bf4d916440e0e661e714986edd728de2 SHA1 5b35a8c3bfa34ba8b29c5208f8f37504d0ce280c SHA256 85169ccd734913be8076bf67c34d46ab70742bc85e86d59204458eee99aa2882
DIST Archive_Tar-1.3.8.tgz 17995 RMD160 476fd1a576d0337766048c62322fb9fb41dc4571 SHA1 977336f36d32ff3994a3a2036ddf6dfc5f7d50ae SHA256 44d38ec2d694d91983f6552af5def76631e63dd97e59e4d135906a20e660d6a4

@ -1,29 +1,28 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Archive_Tar/PEAR-Archive_Tar-1.3.5.ebuild,v 1.6 2010/10/01 01:01:23 ranger Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Archive_Tar/PEAR-Archive_Tar-1.3.8.ebuild,v 1.1 2012/01/18 17:17:47 mabi Exp $
EAPI="4"
MY_PN="${PN/PEAR-/}"
MY_P="${MY_PN}-${PV}"
inherit depend.php
DESCRIPTION="Tar file management class"
LICENSE="BSD"
SLOT="0"
KEYWORDS="alpha amd64 arm ~hppa ia64 ppc ppc64 s390 sh sparc x86"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
IUSE=""
SRC_URI="http://pear.php.net/get/${MY_P}.tgz"
DEPEND=">=dev-php/PEAR-PEAR-1.8.1"
DEPEND="|| ( <dev-lang/php-5.3[pcre] >=dev-lang/php-5.3 )
>=dev-php/PEAR-PEAR-1.8.1
"
RDEPEND="${DEPEND}"
PDEPEND="dev-php/pear"
HOMEPAGE="http://pear.php.net/package/Archive_Tar"
S="${WORKDIR}/${MY_P}"
pkg_setup() {
require_php_with_use pcre
}
src_install() {
insinto /usr/share/php/Archive
doins Archive/*

@ -1,2 +1,2 @@
DIST Auth-1.5.4.tgz 54478 RMD160 514c124e31d156be26e9e948c00886e72c1cd05b SHA1 9894f577826e9f12c58cdb280263a5a8fc10afaa SHA256 e9fd129cb640dea441c3f5d26e114642ef9fd68097a0d7a8cd30350123f39421
DIST Auth-1.6.2.tgz 56036 RMD160 15ecc892c6c0d6b3568314783b3310c03fdfbb5a SHA1 34b3e8356678b46752ff7fe14d489110b2a9c827 SHA256 c0080812b1e959492dab12c98d15f499a80a600e435ccc68d2d903309c5f3050
DIST Auth-1.6.4.tgz 56048 RMD160 78b64b2bd36c8ef24437c6c090b11956ee64bd23 SHA1 37243ee9115f9d4838c75fe537724541bb885978 SHA256 5fb31a2f758474fd9a044afbc387d65fef38732b8f313837971b9a16104779e6

@ -1,9 +1,9 @@
# Copyright 1999-2010 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Auth/PEAR-Auth-1.6.2-r1.ebuild,v 1.3 2010/10/11 20:14:33 olemarkus Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Auth/PEAR-Auth-1.6.4.ebuild,v 1.1 2012/01/18 17:52:10 mabi Exp $
EAPI="2"
inherit php-pear-r1 depend.php eutils
EAPI="4"
inherit php-pear-r1
DESCRIPTION="Provides methods for creating an authentication system using PHP."
LICENSE="PHP-3.01"
@ -18,14 +18,12 @@ RDEPEND="!minimal? ( >=dev-php/PEAR-Log-1.9.10
>=dev-php/PEAR-MDB2-2.0.0_rc1
>=dev-php/PEAR-Crypt_CHAP-1.0.0
>=dev-php/PEAR-SOAP-0.9.0
>=dev-php/PEAR-File_SMBPasswd-1.0.0 )"
# missing lots of keywords
# >=dev-php/PEAR-HTTP_Client-1.1.0
>=dev-php/PEAR-File_SMBPasswd-1.0.0
>=dev-php/PEAR-HTTP_Client-1.1.0 )"
pkg_postinst() {
has_php
if ! use minimal && ! has_version "=${PHP_PKG}[imap,soap]" ; then
if ! use minimal && ! has_version "=dev-lang/php[imap,soap]" ; then
elog "${PN} can optionally use php's imap and soap features."
elog "If you want those, recompile ${PHP_PKG} with these flags in USE."
elog "If you want those, recompile dev-lang/php with these flags in USE."
fi
}

@ -0,0 +1,14 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Auth_HTTP/PEAR-Auth_HTTP-2.1.6-r1.ebuild,v 1.2 2012/01/18 17:58:33 mabi Exp $
EAPI="4"
inherit php-pear-r1
DESCRIPTION="Create HTTP authentication systems similar to Apache's realm-based .htaccess mechanism."
LICENSE="PHP-3.01"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
RDEPEND="dev-php/PEAR-Auth"

@ -1,12 +0,0 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Auth_HTTP/PEAR-Auth_HTTP-2.1.6.ebuild,v 1.6 2007/12/05 23:33:14 jokey Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="Provides methods for creating an HTTP authentication system using PHP, that is similar to Apache's realm-based .htaccess authentication."
LICENSE="PHP-2.02"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
RDEPEND="dev-php/PEAR-Auth"

@ -1 +1,2 @@
DIST Benchmark-1.2.7.tgz 9506 RMD160 2eb443e4409fc5c86fda1af713dd731c315854c0 SHA1 2062685e444760f306dacbbf3e15727695242655 SHA256 b7dcc624c33882f4f4797c24a188eca4dcedea7bbfc22d0becfec5c6a76f3790
DIST Benchmark-1.2.9.tgz 8696 RMD160 69f325561c3aee44bda742457ac3c0dd175d612e SHA1 f31c257006facfde87df0ed6452d6702dbe90c91 SHA256 b68c6ca9bfb3ba79e095117ff5e3e674ed9583692f4722b0196e8b3874a9c468

@ -1,19 +0,0 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Benchmark/PEAR-Benchmark-1.2.7.ebuild,v 1.8 2007/12/05 23:35:47 jokey Exp $
inherit php-pear-r1 depend.php eutils
DESCRIPTION="Framework to benchmark PHP scripts or function calls."
LICENSE="BSD"
SLOT="0"
KEYWORDS="alpha amd64 hppa ~ia64 ppc ppc64 sparc x86"
IUSE=""
pkg_postinst() {
has_php
if ! built_with_use --missing true =${PHP_PKG} bcmath ; then
elog "${PN} can optionally use ${PHP_PKG} bcmath features."
elog "If you want those, recompile ${PHP_PKG} with these flags in USE."
fi
}

@ -0,0 +1,27 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Benchmark/PEAR-Benchmark-1.2.9.ebuild,v 1.1 2012/01/18 18:03:46 mabi Exp $
EAPI="4"
inherit php-pear-r1
DESCRIPTION="Framework to benchmark PHP scripts or function calls."
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
src_unpack() {
unpack ${A}
cd "${WORKDIR}"
rm -f package.xml
cp package2.xml package.xml
}
pkg_postinst() {
if ! has_version "=dev-lang/php[bcmath]" ; then
elog "${PN} can optionally use dev-lang/php bcmath features."
elog "If you want those, recompile dev-lang/php with these flags in USE."
fi
}

@ -1,3 +1,3 @@
DIST Crypt_CHAP-1.0.0.tgz 5437 RMD160 98a12aaf0ee1d86ad9fc46ab30da4e05ff1a24e0 SHA1 efbb2ad99e10ecd6acf19410a7d8d140db64aa5d SHA256 998fd48cd2775fe31140f88782dc94d1e19ee3d4bfef979f8b853b82bef33591
DIST Crypt_CHAP-1.0.1.tgz 5537 RMD160 b70f69a10864b5a593da0fa70d1aa3f44a625fd9 SHA1 5c81d8cb0211da7e7b04b75f3271cab7e3cb0b27 SHA256 85930d981a04e0a0f768176a0c6ea5810e096d2531935ac1aa35ff5bd97713f6
DIST Crypt_CHAP-1.0.2.tgz 5494 RMD160 9218a10e990ccd0366df36e629b7ca6e052431f4 SHA1 66f7fbf93aae6e26a5240a7342ae81ee2915503f SHA256 8cd3afd135a2e5fa656020321027df0a17645243ff1fed1731c1099846dc7fa9
DIST Crypt_CHAP-1.5.0.tgz 5549 RMD160 9dd0c361e892068bfc492b598a0802eb3d5215d8 SHA1 883e8d76244ee0c06d780cf2ac0c6af33d37dd98 SHA256 12b971b4ab3f7dc20bb7f8bdc5f420de10fe6ce7222f7715b3b6a074d1f76233

@ -1,16 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Crypt_CHAP/PEAR-Crypt_CHAP-1.0.0.ebuild,v 1.16 2008/01/10 10:06:36 vapier Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="Generating CHAP packets"
LICENSE="BSD"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86"
IUSE=""
pkg_setup() {
require_php_with_use crypt mhash
}

@ -0,0 +1,21 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Crypt_CHAP/PEAR-Crypt_CHAP-1.5.0.ebuild,v 1.2 2012/01/18 19:32:13 mabi Exp $
EAPI="4"
inherit php-pear-r1
DESCRIPTION="Generating CHAP packets"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
IUSE=""
pkg_postinst() {
if ! has_version "dev-lang/php[crypt,mhash]" ; then
elog "${PN} can optionally use dev-lang/php crypt and mhash features."
elog "If you want those, recompile dev-lang/php with these flags in USE."
fi
}

@ -1,3 +1 @@
DIST Crypt_GPG-1.0.0.tgz 232895 RMD160 1853b65507a8b5ac5c0dcb7229247873ca7ca868 SHA1 713a2eae9fb82d0e64ad054262b29da64d97b566 SHA256 0d325754f9ad439a409fd11ccab1e0eba735c2733c39c17688d8dcdf5dc65653
DIST Crypt_GPG-1.1.1.tgz 324202 RMD160 d95593be6a547206271ce8c4ea13be909e145e21 SHA1 5c22c59f7baac8ed0247878529a6b6561079d45b SHA256 29ec1ccddce19234bae3328c2d2d326735bed9682bf53901a2cc2cede7ec1519
DIST Crypt_GPG-1.3.2.tgz 339001 RMD160 2896e6f0d4024b9e7795c8dcb8ee99c4b0351db6 SHA1 b8617edf0b940924b0170ab2d103b47cdaaf1f93 SHA256 67f77bfb9b21dd428587f5bd336e4b9b2e200a1b62160e7ae0d0dfffd1357899

@ -1,15 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Crypt_GPG/PEAR-Crypt_GPG-1.0.0.ebuild,v 1.1 2010/01/05 21:20:59 beandog Exp $
inherit php-pear-r1 depend.php eutils
DESCRIPTION="Generating CHAP packets"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64"
IUSE=""
DEPEND=">=dev-lang/php-5.2.1"
RDEPEND="${DEPEND}
app-crypt/gnupg"

@ -1,15 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Crypt_GPG/PEAR-Crypt_GPG-1.1.1.ebuild,v 1.1 2010/11/05 08:22:46 olemarkus Exp $
inherit php-pear-r1 depend.php eutils
DESCRIPTION="Generating CHAP packets"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
DEPEND=">=dev-lang/php-5.2.1"
RDEPEND="${DEPEND}
app-crypt/gnupg"

@ -1 +1 @@
DIST Crypt_HMAC2-0.2.1.tgz 7339 RMD160 acac40bd26430d74367ed8a85e459c692a93ec3e SHA1 fe0f8df0734a555794e46b61e40fa2f2d2428aa5 SHA256 053f9b9511cdf424df5774275ca149e345093d00cdc45b1b0b188e2dca7e19ee
DIST Crypt_HMAC2-1.0.0.tgz 8129 RMD160 9e87212e7686ff25523ab1b3d493fed1c56258cd SHA1 4a09c6144575c450c580551d47284dcb8723e328 SHA256 6b616cd6c2a6c3937c5790d7ffa4ef917d3db2bba7310f86111f1e514432ed2b

@ -1,23 +0,0 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Crypt_HMAC2/PEAR-Crypt_HMAC2-0.2.1.ebuild,v 1.2 2007/12/05 23:52:09 jokey Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="Implementation of Hashed Message Authentication Code for PHP5"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
need_php5
pkg_postinst() {
has_php
local flags="hash mhash"
if ! PHPCHECKNODIE="yes" require_php_with_use ${flags} ; then
elog "${PN} can use the hash or mhash extensions when enabled to extend the range"
elog "of cryptographic hash functions beyond the natively implemented MD5 and SHA1."
elog "Recompile ${PHP_PKG} with ${flags} USE flags enabled if you want these features."
fi
}

@ -0,0 +1,21 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Crypt_HMAC2/PEAR-Crypt_HMAC2-1.0.0.ebuild,v 1.2 2012/01/18 19:37:42 mabi Exp $
EAPI="4"
inherit php-pear-r1
DESCRIPTION="Implementation of Hashed Message Authentication Code for PHP5"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE=""
pkg_postinst() {
if ! has_version "dev-lang/php[hash]" ; then
elog "${PN} can use the hash extension when enabled to extend the range"
elog "of cryptographic hash functions beyond the natively implemented MD5 and SHA1."
elog "Recompile dev-lang/php with USE=\"hash\" if you want these features."
fi
}

@ -1,3 +1,2 @@
DIST File-1.2.2.tgz 15796 RMD160 b4d90544de726434a9deb406079ce3c67a769e7b SHA1 7271d0e8d74d696b33e3f028696d79a9e970c771 SHA256 e54ffcb9017cb2c017c0a75d78516f481ed35ce4c175868d8157e2a403b211a3
DIST File-1.3.0.tgz 25727 RMD160 6265b1d26932b6c86c276900c0254ceabe52776b SHA1 7792690e1aae2bb4de8245dcadeb3b32e7da5659 SHA256 543b9e83d69a44300ac389ab64da1cbd8d0a3ea1d01d7fe51bfaf5e2302ca0f6
DIST File-1.4.0.tgz 8120 RMD160 e6701e5caedb1bfb37cdfaaf8e368f4b59567099 SHA1 b4a9fce0506ca4cff52a74222368d6f330bb3aa6 SHA256 d2cb6395822c0d869e7efa1312cd6d9cfea50ebf75c7b78a031fe1cbfae2a727

@ -1,16 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-File/PEAR-File-1.2.2.ebuild,v 1.17 2008/01/10 10:06:21 vapier Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="Common file and directory routines"
LICENSE="PHP-3"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86"
IUSE=""
pkg_setup() {
require_php_with_use pcre
}

@ -1,16 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-File/PEAR-File-1.3.0.ebuild,v 1.10 2008/01/10 10:06:22 vapier Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="Common file and directory routines"
LICENSE="PHP-3"
SLOT="0"
KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 s390 sh sparc x86"
IUSE=""
pkg_setup() {
require_php_with_use pcre
}

@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-File/PEAR-File-1.4.0.ebuild,v 1.2 2012/01/16 14:51:34 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-File/PEAR-File-1.4.0.ebuild,v 1.3 2012/01/18 21:15:03 maekke Exp $
EAPI="2"
@ -10,7 +10,7 @@ DESCRIPTION="Common file and directory routines"
LICENSE="PHP-3"
SLOT="0"
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
IUSE=""
RDEPEND="|| ( <dev-lang/php-5.3[pcre] >=dev-lang/php-5.3 )"

@ -1,2 +1 @@
DIST File_Archive-1.5.3.tgz 55201 RMD160 fc2dbcf34cc2ee8fe56b9682b37570fe7d4d8d36 SHA1 b7a67dd239eb4e94acf2d5dd02a95711b37f302e SHA256 1ce40a604d7059386c9a1a2392997a7e82e7a6c1d31f43e22d1dfcf6d328b164
DIST File_Archive-1.5.4.tgz 58042 RMD160 cd59375cc61563468f2406cbe395382809e859a7 SHA1 0467f88e1aac1d5da734dc4c871811e1d10044c8 SHA256 b3cbbd9387a733a1b574a31176c71bd2a0a4b4fb842e2d4e22f816ec98c8c00d

@ -1,16 +0,0 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-File_Archive/PEAR-File_Archive-1.5.3.ebuild,v 1.6 2006/11/25 19:11:14 kloeri Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="Lets you manipulate easily the tar, gz, tgz, bz2, tbz, zip, ar (or
deb) files."
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
RDEPEND="dev-php/PEAR-MIME_Type
dev-php/PEAR-Mail_Mime
dev-php/PEAR-Mail
dev-php/PEAR-Cache_Lite"

@ -1,16 +1,18 @@
# Copyright 1999-2009 Gentoo Foundation
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-File_Archive/PEAR-File_Archive-1.5.4.ebuild,v 1.1 2009/08/22 18:45:12 beandog Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-File_Archive/PEAR-File_Archive-1.5.4-r1.ebuild,v 1.1 2012/01/18 18:41:56 mabi Exp $
inherit php-pear-r1 depend.php
EAPI="4"
DESCRIPTION="Lets you manipulate easily the tar, gz, tgz, bz2, tbz, zip, ar (or
deb) files."
inherit php-pear-r1
DESCRIPTION="Lets you manipulate easily the tar, gz, tgz, bz2, tbz, zip, ar (or deb) files."
LICENSE="LGPL-2.1"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="minimal"
RDEPEND="dev-php/PEAR-MIME_Type
RDEPEND="dev-lang/php[bzip2,zlib]
dev-php/PEAR-MIME_Type
!minimal? ( dev-php/PEAR-Mail_Mime
dev-php/PEAR-Mail
>=dev-php/PEAR-Cache_Lite-1.5.0 )"

@ -1,2 +1 @@
DIST File_Gettext-0.4.0.tgz 5560 RMD160 6bb5016f88118f3d47d3b8e7a0317a793fc14b51 SHA1 23577fc7f1585af36bdb484d20d27afe1e23f1a4 SHA256 5913e3770cc35c9019a4934dd6b55b8a59881c8986bf5c482b927049f5e6b855
DIST File_Gettext-0.4.1.tgz 6033 RMD160 46b2254f1c486b74fc6f1c82cd310008a6739cd4 SHA1 302ced76a0ccfcf529d2d846790bcad0f385b56e SHA256 ac782312a2e285ba90b54ef359249cc5bfb1198151afe23169cf6fe7ba13295f

@ -1,15 +0,0 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-File_Gettext/PEAR-File_Gettext-0.4.0.ebuild,v 1.13 2007/12/06 00:01:26 jokey Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="GNU Gettext file parser."
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86"
IUSE=""
pkg_setup() {
require_php_with_use pcre
}

@ -1,16 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-File_Passwd/PEAR-File_Passwd-1.1.7.ebuild,v 1.1 2009/08/22 18:48:06 beandog Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="Manipulate many kinds of password files."
LICENSE="PHP-3"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="minimal"
RDEPEND="!minimal? ( dev-php/PEAR-Crypt_CHAP )"
pkg_setup() {
require_php_with_use pcre
}

@ -1,2 +1 @@
DIST HTML_CSS-1.5.1.tgz 38692 RMD160 33b49aa1aab2ca4d6e9acb1c6a9f388130061274 SHA1 0ef56d1ed05f0111dacd3337bf6648a64ff7494e SHA256 8c6cd83f205bb1d8e1190ce405ab80731539417db56b56317b7e17a1f7e51711
DIST HTML_CSS-1.5.4.tgz 45553 RMD160 7152b0947f8e40533d1ccec572746769156707fd SHA1 9f0019f8d7102bde206bfeefe5a4e51642aa43c7 SHA256 661bf9b6e06a70624288403f4a462d872ba4abca22b5c97df62ed0240a1bc782

@ -1,15 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTML_CSS/PEAR-HTML_CSS-1.5.1.ebuild,v 1.2 2011/03/26 11:34:59 olemarkus Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="Provides a simple interface for generating a stylesheet declaration."
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="minimal"
RDEPEND=">=dev-php/PEAR-HTML_Common-1.2.4
!minimal? ( >=dev-php/PEAR-Services_W3C_CSSValidator-0.1.0
>=dev-php/phpunit-3.2.0 )"
need_php5

@ -1,15 +0,0 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTTP/PEAR-HTTP-1.4.0.ebuild,v 1.14 2007/12/06 00:19:50 jokey Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="Miscellaneous HTTP utilities."
LICENSE="BSD"
SLOT="0"
KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86"
IUSE=""
pkg_setup() {
require_php_with_use pcre
}

@ -1,22 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTTP/PEAR-HTTP-1.4.1.ebuild,v 1.1 2009/08/26 21:03:08 beandog Exp $
inherit php-pear-r1 depend.php eutils
DESCRIPTION="Miscellaneous HTTP utilities."
LICENSE="BSD"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE=""
pkg_setup() {
require_php_with_use pcre
}
src_unpack() {
unpack ${A}
cd "${S}"
# fix nasty DOS linebreaks
edos2unix HTTP.php
}

@ -1 +1,2 @@
DIST HTTP_Download-1.1.3.tgz 12054 RMD160 01caff46063c2890c23d9024b9a7a630d5a6964f SHA1 ece0da5cd2b866d6d5d4102301d19859f70a8dda SHA256 6bf1df92d73be580c650b93286de9fc24ef28d5a5c754a1a89db48381c84cb71
DIST HTTP_Download-1.1.4.tgz 14571 RMD160 1bd0333a305b90e6ad9eeda404bf733a5b74f956 SHA1 29d98f6c6daa745dfc79262f2bdcb0f2c4acbb11 SHA256 5936baa381ed17bb51603fdd82f2492829af91ba129aed78d5f5aa9079a19484

@ -1,25 +0,0 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTTP_Download/PEAR-HTTP_Download-1.1.3.ebuild,v 1.2 2007/12/06 00:21:06 jokey Exp $
inherit php-pear-r1 depend.php eutils
DESCRIPTION="Provides functionality to send HTTP downloads."
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="minimal"
RDEPEND="dev-php/PEAR-HTTP_Header
!minimal? ( dev-php/PEAR-MIME_Type )"
pkg_setup() {
require_php_with_use pcre
}
pkg_postinst() {
has_php
if ! use minimal && ! built_with_use --missing true =${PHP_PKG} postgres ; then
elog "${PN} can optionally use ${PHP_PKG} postgres features."
elog "If you want those, recompile ${PHP_PKG} with this flags in USE."
fi
}

@ -0,0 +1,20 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTTP_Download/PEAR-HTTP_Download-1.1.4.ebuild,v 1.1 2012/01/18 19:46:20 mabi Exp $
EAPI="4"
inherit php-pear-r1
DESCRIPTION="Provides functionality to send HTTP downloads."
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="minimal postgres"
RDEPEND="${DEPEND}
dev-lang/php[postgres?]
dev-php/PEAR-HTTP_Header
!minimal? (
dev-php/PEAR-MIME_Type
dev-php/PEAR-Archive_Tar
)"

@ -1,4 +1 @@
DIST HTTP_Session2-0.6.1.tgz 12104 RMD160 2030ad4654fac931dc9fa08330cf2f608fde23ec SHA1 ce250f677eb6c1ab2b84890a0308f8e7078a7e81 SHA256 92b29d26411dc48caab5b5b76141c3efca1c5c6ba2a0f191c1e9997a4d61c24c
DIST HTTP_Session2-0.7.0.tgz 13737 RMD160 25b82c4d05e3ac0654c5b96879335c4a3bf1aa3e SHA1 462cc2acfb3bebe1668988fc81f56293d7c0c33b SHA256 3de89204b966d4abda170ef4e3a1f4406cceb96bde3c50e9432be5cb641a356f
DIST HTTP_Session2-0.7.1.tgz 13666 RMD160 34909bd4e65ad1b7d69d8f72a2a0af316afe25c6 SHA1 f301dd7e46fcc42c225f13a945c8ea591baa4475 SHA256 1dd03ac7e5c6f7bec3653d11b94b8606fd687b535b7f966ed592b60a8bf7ddac
DIST HTTP_Session2-0.7.2.tgz 13636 RMD160 acc7181d83dd3612c3e48361a54b314d83d7e9a3 SHA1 01673cda46566db0f98b745ef0e0eedf864143fe SHA256 716c8745c09090981c4544d6361018c86d2491ade66e8c0779579365c866de73
DIST HTTP_Session2-0.7.3.tgz 16362 RMD160 a1d1a70796ea02a1c7eca0ec4cf525b4f9828059 SHA1 f7e68991d1590a8215b2cd911862e40340c41196 SHA256 3584593f5d18f6749e5a32e5cf3dcddd39a61383183f76864c51b739e7224f4f

@ -1,17 +0,0 @@
# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTTP_Session2/PEAR-HTTP_Session2-0.6.1.ebuild,v 1.1 2007/12/24 12:41:42 armin76 Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="PHP5 Object-oriented interface to the session_* family functions.
Provides extra features such as database storage for session data using DB package."
LICENSE="BSD PHP-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="minimal"
RDEPEND=">=dev-lang/php-5.2.0
!minimal? ( >=dev-php/PEAR-MDB2-2.4.1
>=dev-php/PEAR-DB-1.7.11 )"

@ -1,17 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTTP_Session2/PEAR-HTTP_Session2-0.7.0.ebuild,v 1.1 2008/02/11 20:54:57 armin76 Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="PHP5 Object-oriented interface to the session_* family functions.
Provides extra features such as database storage for session data using DB package."
LICENSE="BSD PHP-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="minimal"
RDEPEND=">=dev-lang/php-5.2.0
!minimal? ( >=dev-php/PEAR-MDB2-2.4.1
>=dev-php/PEAR-DB-1.7.11 )"

@ -1,17 +0,0 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTTP_Session2/PEAR-HTTP_Session2-0.7.1.ebuild,v 1.1 2008/02/26 16:29:08 armin76 Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="PHP5 Object-oriented interface to the session_* family functions.
Provides extra features such as database storage for session data using DB package."
LICENSE="BSD PHP-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="minimal"
RDEPEND=">=dev-lang/php-5.2.0
!minimal? ( >=dev-php/PEAR-MDB2-2.4.1
>=dev-php/PEAR-DB-1.7.11 )"

@ -1,17 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTTP_Session2/PEAR-HTTP_Session2-0.7.2.ebuild,v 1.1 2009/08/22 22:50:30 beandog Exp $
inherit php-pear-r1 depend.php
DESCRIPTION="PHP5 Object-oriented interface to the session_* family functions.
Provides extra features such as database storage for session data using DB package."
LICENSE="BSD PHP-3"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="minimal"
RDEPEND=">=dev-lang/php-5.2.0
!minimal? ( >=dev-php/PEAR-MDB2-2.4.1
>=dev-php/PEAR-DB-1.7.11 )"

@ -0,0 +1,16 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-HTTP_Session2/PEAR-HTTP_Session2-0.7.3.ebuild,v 1.2 2012/01/18 19:51:03 mabi Exp $
inherit php-pear-r1
DESCRIPTION="Wraps PHP's session_* functions, providing extras like db storage for session data."
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="minimal"
RDEPEND="${DEPEND}
!minimal? ( >=dev-php/PEAR-MDB2-2.4.1
>=dev-php/PEAR-DB-1.7.11 )"

@ -1,11 +1,11 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Log/PEAR-Log-1.12.7.ebuild,v 1.2 2012/01/16 12:44:30 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/dev-php/PEAR-Log/PEAR-Log-1.12.7.ebuild,v 1.3 2012/01/18 21:12:43 maekke Exp $
EAPI="2"
inherit php-pear-r1 depend.php eutils
KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
KEYWORDS="~alpha amd64 arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
DESCRIPTION="The Log framework provides an abstracted logging system.@"
LICENSE="PHP-3.01"

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save